Subject: Re: [Hipsec] WGLC: draft-ietf-hip-rfc5205-bis

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 5 May 2015 16:59:49 +0300

Thanks for the review, Tom.

Julien, could you please look into Tom's comments and address them in a
new revision of the draft?

Thanks,

Gonzalo

On 04/05/2015 5:23 PM, Tom Henderson wrote:
> On 04/17/2015 03:47 AM, Gonzalo Camarillo wrote:
>> Hi,
>>
>> I would like to start a WGLC on the following draft. This WGLC will end
>> on May 4th:
>>
>> https://datatracker.ietf.org/doc/draft-ietf-hip-rfc5205-bis/
>>
>> Please, send your comments to this list.
>>
>> Thanks,
>>
>> Gonzalo
> 
> I had a fresh read of this specification and have the following comments.
> 
> (possibly) technical
> --------------------
> 
> RFC 7401 specifies ECDSA and ECDSA_LOW as separate algorithm types, but
> this document only mentions ECDSA.  For alignment with RFC 7401, I
> suggest to replace references to "ECDSA" with "ECDSA and ECDSA_LOW" as
> appropriate (it seems to me that they can reuse the same codepoint).
> 
> I could not find discussion about TTL considerations; are there any?  If
> there are no special considerations about TTL, caching, and how records
> may be updated, perhaps it would be helpful to state this (and possibly
> reference the specification that describes how to expire resource records).
> 
> The document doesn't seem to have any discussion of what to do when a
> host wants to register more than one host identity.  I suggest something
> along the lines of "there may be multiple HIP RRs associated with a
> single name.  It is outside the scope of this specification as to how a
> host chooses from between multiple RRs when more than one is returned.
> The RVS information may be copied and aligned across multiple RRs, or
> may be different for each one; a host SHOULD check that the RVS used is
> associated with the HI being used, when multiple choices are present."
> 
> editorial
> ---------
> 
> IANA considerations could be made more explicit about exactly what we
> are requesting IANA to do; e.g., "the reference to the RR type code
> should be updated from RFC 5205 to this specification."  and "this
> document requests that IANA allocate a new codepoint for 'ECDSA and
> ECDSA_LOW' in the existing registry for IPSECKEY RR."
> 
> Suggest to replace "Singly" with "Single" and "degenerated" with
> "degenerate".
> 
> 
> 
> 
>

---

From: Julien Laganier <[email-masked]>
Date: Tue, 5 May 2015 17:09:31 -0700

Thanks for the review Tom, I will address your WGLC comments ASAP.

--julien

On Tue, May 5, 2015 at 6:59 AM, Gonzalo Camarillo
<[email-masked]> wrote:
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hipsec